<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Position sticky</title>
    <style>
        *{
            padding: 0;
            margin: 0;
            font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
        }
 #container{
     background:rgb(218, 221, 221);
     width: 500px;
     height: 300px;
     overflow-x: hidden;
     overflow-y: auto;
 /* }
 
        #div1{
            /* background: rgb(63, 198, 207);
         position: fixed;
         top: 30px;
         left: 15%;
         bottom: 600px;
         right: 500px; */

           
         
        }
        #div2{
            /* background: rgb(136, 80, 80); */
         
          
        } */
        h1{
            display: block;
            position: sticky;
            top: 0px;
            background: lightskyblue;
        }
    </style>
</head>
<body>
    <div id= "container">
        <h1>Pealkiri1</h1>
        <p>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Repellendus sunt error ratione quas quis ad aliquam veritatis minima nulla, blanditiis magnam odio soluta vel nemo totam porro ab asperiores harum?
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Architecto ratione ex eveniet libero dignissimos porro, atque, blanditiis quam consequuntur vel veniam temporibus? Rerum quidem vel repudiandae doloremque quo deserunt laudantium.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. At ipsam illo alias quos quibusdam a rerum, sapiente temporibus neque odit et nisi soluta dolor explicabo ea! Dolor eius recusandae 
    </p>
        <h1>Pealkiri2</h1>
        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Repellendus sunt error ratione quas quis ad aliquam veritatis minima nulla, blanditiis magnam odio soluta vel nemo totam porro ab asperiores harum?
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Architecto ratione ex eveniet libero dignissimos porro, atque, blanditiis quam consequuntur vel veniam temporibus? Rerum quidem vel repudiandae doloremque quo deserunt laudantium.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. At ipsam illo alias quos quibusdam a rerum, sapiente temporibus neque odit et nisi soluta dolor explicabo ea! Dolor eius recusandae 
    
        <h1>Pealkiri3</h1>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Repellendus sunt error ratione quas quis ad aliquam veritatis minima nulla, blanditiis magnam odio soluta vel nemo totam porro ab asperiores harum?
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Architecto ratione ex eveniet libero dignissimos porro, atque, blanditiis quam consequuntur vel veniam temporibus? Rerum quidem vel repudiandae doloremque quo deserunt laudantium.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. At ipsam illo alias quos quibusdam a rerum, sapiente temporibus neque odit et nisi soluta dolor explicabo ea! Dolor eius recusandae 
    
        <h1>Pealkiri4</h1>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Repellendus sunt error ratione quas quis ad aliquam veritatis minima nulla, blanditiis magnam odio soluta vel nemo totam porro ab asperiores harum?
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Architecto ratione ex eveniet libero dignissimos porro, atque, blanditiis quam consequuntur vel veniam temporibus? Rerum quidem vel repudiandae doloremque quo deserunt laudantium.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. At ipsam illo alias quos quibusdam a rerum, sapiente temporibus neque odit et nisi soluta dolor explicabo ea! Dolor eius recusandae 
    
        <h1>Pealkiri5</h1>Lorem ipsum dolor sit amet consectetur, adipisicing elit. Repellendus sunt error ratione quas quis ad aliquam veritatis minima nulla, blanditiis magnam odio soluta vel nemo totam porro ab asperiores harum?
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Architecto ratione ex eveniet libero dignissimos porro, atque, blanditiis quam consequuntur vel veniam temporibus? Rerum quidem vel repudiandae doloremque quo deserunt laudantium.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. At ipsam illo alias quos quibusdam a rerum, sapiente temporibus neque odit et nisi soluta dolor explicabo ea! Dolor eius recusandae 
    
    </div>
</body>
</html>